<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://www.imestech.com/wsEAI" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" targetNamespace="http://www.imestech.com/wsEAI" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://www.imestech.com/wsEAI">
      <s:element name="InvokeSrv_metajson">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="metadata" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="content" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="InvokeSrv_metajsonResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InvokeSrv_metajsonResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="InvokeSrv_json">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="uri" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="content" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="InvokeSrv_jsonResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InvokeSrv_jsonResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrvResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="invokeSrvResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_ResolvedXML">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="MethodName" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_ResolvedXMLResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="invokeSrv_ResolvedXMLResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="callbackSrv">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="callbackSrvResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="callbackSrvResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="syncProd">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="syncProdResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="syncProdResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GeteSOPInfo_API">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="uri" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="content" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GeteSOPInfo_APIResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GeteSOPInfo_APIResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="InvokeSrv_metajsonSoapIn">
    <wsdl:part name="parameters" element="tns:InvokeSrv_metajson" />
  </wsdl:message>
  <wsdl:message name="InvokeSrv_metajsonSoapOut">
    <wsdl:part name="parameters" element="tns:InvokeSrv_metajsonResponse" />
  </wsdl:message>
  <wsdl:message name="InvokeSrv_jsonSoapIn">
    <wsdl:part name="parameters" element="tns:InvokeSrv_json" />
  </wsdl:message>
  <wsdl:message name="InvokeSrv_jsonSoapOut">
    <wsdl:part name="parameters" element="tns:InvokeSrv_jsonResponse" />
  </wsdl:message>
  <wsdl:message name="invokeSrvSoapIn">
    <wsdl:part name="parameters" element="tns:invokeSrv" />
  </wsdl:message>
  <wsdl:message name="invokeSrvSoapOut">
    <wsdl:part name="parameters" element="tns:invokeSrvResponse" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_ResolvedXMLSoapIn">
    <wsdl:part name="parameters" element="tns:invokeSrv_ResolvedXML" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_ResolvedXMLSoapOut">
    <wsdl:part name="parameters" element="tns:invokeSrv_ResolvedXMLResponse" />
  </wsdl:message>
  <wsdl:message name="callbackSrvSoapIn">
    <wsdl:part name="parameters" element="tns:callbackSrv" />
  </wsdl:message>
  <wsdl:message name="callbackSrvSoapOut">
    <wsdl:part name="parameters" element="tns:callbackSrvResponse" />
  </wsdl:message>
  <wsdl:message name="syncProdSoapIn">
    <wsdl:part name="parameters" element="tns:syncProd" />
  </wsdl:message>
  <wsdl:message name="syncProdSoapOut">
    <wsdl:part name="parameters" element="tns:syncProdResponse" />
  </wsdl:message>
  <wsdl:message name="GeteSOPInfo_APISoapIn">
    <wsdl:part name="parameters" element="tns:GeteSOPInfo_API" />
  </wsdl:message>
  <wsdl:message name="GeteSOPInfo_APISoapOut">
    <wsdl:part name="parameters" element="tns:GeteSOPInfo_APIResponse" />
  </wsdl:message>
  <wsdl:portType name="wsEAISoap">
    <wsdl:operation name="InvokeSrv_metajson">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Invoke Web Service Resolved metadata json</wsdl:documentation>
      <wsdl:input message="tns:InvokeSrv_metajsonSoapIn" />
      <wsdl:output message="tns:InvokeSrv_metajsonSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="InvokeSrv_json">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Invoke Web Service Resolved json</wsdl:documentation>
      <wsdl:input message="tns:InvokeSrv_jsonSoapIn" />
      <wsdl:output message="tns:InvokeSrv_jsonSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="invokeSrv">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Invoke Web Service</wsdl:documentation>
      <wsdl:input message="tns:invokeSrvSoapIn" />
      <wsdl:output message="tns:invokeSrvSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_ResolvedXML">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Invoke Web Service for Resolved XML</wsdl:documentation>
      <wsdl:input message="tns:invokeSrv_ResolvedXMLSoapIn" />
      <wsdl:output message="tns:invokeSrv_ResolvedXMLSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="callbackSrv">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Callback Service</wsdl:documentation>
      <wsdl:input message="tns:callbackSrvSoapIn" />
      <wsdl:output message="tns:callbackSrvSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="syncProd">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">sync Product</wsdl:documentation>
      <wsdl:input message="tns:syncProdSoapIn" />
      <wsdl:output message="tns:syncProdSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GeteSOPInfo_API">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">GeteSOPInfo_API</wsdl:documentation>
      <wsdl:input message="tns:GeteSOPInfo_APISoapIn" />
      <wsdl:output message="tns:GeteSOPInfo_APISoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="wsEAISoap" type="tns:wsEAISoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="InvokeSrv_metajson">
      <soap:operation soapAction="http://www.imestech.com/wsEAI/InvokeSrv_metajson" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="InvokeSrv_json">
      <soap:operation soapAction="http://www.imestech.com/wsEAI/InvokeSrv_json" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv">
      <soap:operation soapAction="http://www.imestech.com/wsEAI/invokeSrv" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_ResolvedXML">
      <soap:operation soapAction="http://www.imestech.com/wsEAI/invokeSrv_ResolvedXML" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="callbackSrv">
      <soap:operation soapAction="http://www.imestech.com/wsEAI/callbackSrv" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="syncProd">
      <soap:operation soapAction="http://www.imestech.com/wsEAI/syncProd" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GeteSOPInfo_API">
      <soap:operation soapAction="http://www.imestech.com/wsEAI/GeteSOPInfo_API" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="wsEAISoap12" type="tns:wsEAISoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="InvokeSrv_metajson">
      <soap12:operation soapAction="http://www.imestech.com/wsEAI/InvokeSrv_metajson" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="InvokeSrv_json">
      <soap12:operation soapAction="http://www.imestech.com/wsEAI/InvokeSrv_json" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv">
      <soap12:operation soapAction="http://www.imestech.com/wsEAI/invokeSrv" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_ResolvedXML">
      <soap12:operation soapAction="http://www.imestech.com/wsEAI/invokeSrv_ResolvedXML" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="callbackSrv">
      <soap12:operation soapAction="http://www.imestech.com/wsEAI/callbackSrv" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="syncProd">
      <soap12:operation soapAction="http://www.imestech.com/wsEAI/syncProd" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GeteSOPInfo_API">
      <soap12:operation soapAction="http://www.imestech.com/wsEAI/GeteSOPInfo_API" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="wsEAI">
    <wsdl:port name="wsEAISoap" binding="tns:wsEAISoap">
      <soap:address location="http://localhost/EAI/wsEAI.asmx" />
    </wsdl:port>
    <wsdl:port name="wsEAISoap12" binding="tns:wsEAISoap12">
      <soap12:address location="http://localhost/EAI/wsEAI.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>